import { HttpClientTestingModule } from '@angular/common/http/testing';
import { CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { FormGroup, ReactiveFormsModule } from '@angular/forms';
import { UiInputModule } from '@ui/input/input.module';
import { UiRadiobuttonGroupModule } from '@ui/radiobutton-group/radiobutton-group.module';
import { UiSelectModule } from '@ui/select/select.module';
import { UiTextareaModule } from '@ui/textarea/textarea.module';
import { SlutredovisningFormService } from '../../slutredovisning-form.service';
import { SlutredovisningFormStep0WorkComponent } from './slutredovisning-form-step0-work.component';

describe('SlutredovisningFormStep0WorkComponent', () => {
  let component: SlutredovisningFormStep0WorkComponent;
  let fixture: ComponentFixture<SlutredovisningFormStep0WorkComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      schemas: [CUSTOM_ELEMENTS_SCHEMA],
      declarations: [SlutredovisningFormStep0WorkComponent],
      imports: [
        ReactiveFormsModule,
        HttpClientTestingModule,
        UiSelectModule,
        UiTextareaModule,
        UiRadiobuttonGroupModule,
        UiInputModule,
      ],
      providers: [SlutredovisningFormService],
    }).compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(SlutredovisningFormStep0WorkComponent);
    component = fixture.componentInstance;
    component.formGroupRef = new FormGroup({});
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
